/*
io_x9_card.h

Hardware routines for interfacing with SD cards on a Ninjapass X9

Copyright (C) 2007 by CJ Bell
siegebell@gmail.com


This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
Boston, MA  02110-1301, USA.
*/

#ifndef INCLUDED_io_x9_card_h
#define INCLUDED_io_x9_card_h

#ifdef __cplusplus
extern "C" {
#endif


void X9CardPolledWrite(uint32 flags, const uint32* buffer, const uint8* command);
void X9CardIO(uint8 cmd, uint8 arg1, uint32 arg2, uint32 flags, uint32* buffer, uint32 words);
void X9CardWriteData(uint8 arg1, uint32 arg2, const void* buffer);
void cardIO_1();
void cardIO_2(uint32 arg);
void cardIO_3(uint8 arg0);
void cardIO_4(uint32 address);



#ifdef __cplusplus
} // extern "C"
#endif

#endif // INCLUDED_io_x9_card_h
